%define rhsdir	%{_prefix}/lib/rhs

Summary:	Library of python code used by various Mandrake programs
Name:		pythonlib
Version:	1.28
Release:	5mdk
License:	GPL
Group:		System/Libraries

Source:		pythonlib-%{version}.tar.bz2

Requires:	python
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	libpython-devel

%description
This package contains code used by a variety of Mandrake programs. It
includes code for multifield listboxes and entry widgets with
non-standard keybindings, among others.

%prep
%setup -q

%build

%install
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" install LIBDIR=$RPM_BUILD_ROOT%{rhsdir}/python/

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES
%{rhsdir}/python

%changelog
* Mon Sep 22 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.28-5mdk
- always use %{_prefix}/lib/rhs/python, this is a noarch package

* Thu Jul 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.28-4mdk
- rpmlint fix
- buildrequires

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.28-3mdk
- rebuild

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.28-2mdk
- Leave python files in %{_prefix}/lib/rhs/, the package is noarch anyway

* Fri Jun  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.28-1mdk
- 1.28

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.23-3mdk
- Use %%_tmppath for BuildRoot

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.23-2mdk
- group fix

* Thu Nov 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.23.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale
- fix handling of RPM_OPT_FLAGS

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0, incorportated changes, changed spec file.

* Thu Feb 11 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to build as non-root user

* Fri Jul 10 1998 Michael Maher <mike@redhat.com> 
- patched Conf.py so that kernelcfg works.
- added Buildroot.


* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added some stuff to deal with -k

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- do not require tkinter; apps that explicitly use tkinter through
- pythonlib should require tkinter themselves.


* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- require tkinter

* Fri Oct 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- ConfFstab for cabaret

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>

Major changes for new version of netcfg.
- Clone files keep differences in some way appropriate to the type of file.
- RCS management of almost all files (all but password-type files) -- just
  create a subdirectory called RCS in any directory where you want to
  monitor changes made by control-panel tools that use pythonlib.  That
  can also be a symlink, but watch for filename conflicts.
- Smart chatfile handling that knows something about the contents of a
  chatfile.
- Far better algorithm for finding free user and group ids: first do the
  old sparse search, then if that fails, search for first free id.  This
  algorithm is used for both user and group ids.
- EntryBox class is a toplevel that provides a single entry in a modal manner.

Also made it a noarch package.

* Mon Aug 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added fix for shadow files.  (Not a CVS branch; change made in master as well)

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added proper error raising and error-on-missing files for kernelcfg.

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fields terminated only by separator or end of line.

* Fri Mar 28 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed quoted ampersand in ConfShellVar

* Wed Mar 12 1997 Michael K. Johnson <johnsonm@redhat.com>

Fixed quoted equals in ConfShellVar

* Wed Mar 05 1997 Michael K. Johnson <johnsonm@redhat.com>

Changed to /etc/ppp/pap-secrets

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>

Added class for managing /etc/pap-secrets.
Improved class for managing /etc/sysconfig/static-routes

